# Tax · API DameDokladu

> Operace ve skupině Tax.

Source: https://damedoklad.cz/docs/api-reference/Tax/

# Tax

Operace ve skupině Tax.

## Carry out the § 74b correction of one received invoice as computed: per VAT rate, in crowns, for the part that is due, posted to 343, reported in the period the Act sets

POST `/v1/tax/bad-debts/debtor-due/{id}/correct`

Carry out the § 74b correction of one received invoice as computed: per VAT rate, in crowns, for the part that is due, posted to 343, reported in the period the Act sets

Nástroj MCP: `correct-tax-debtor-deduction`

### Parametry v cestě

`id` string povinné

### Tělo požadavku

`action` "reduce" | "restore" povinné

`correctionDate` string YYYY-MM-DD

Date as YYYY-MM-DD.

`evidenceNumber` string max 60 chars

### Odpověď · 201

`documentId` null | string povinné

`action` string povinné

`data` object\[\] povinné

`id` string povinné

`correctionDate` string povinné date

`vatRate` integer povinné

`unpaidHaler` integer povinné

`baseHaler` integer | null povinné

`vatHaler` integer | null povinné

```bash
curl -X POST https://api.damedoklad.cz/v1/tax/bad-debts/debtor-due/obj_2n9F4kT7wQ1xYz0aBcDeFgHiJkL/correct \
  -H "Authorization: Bearer $DAMEDOKLAD_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "reduce"
}'
```

```javascript
const response = await fetch('https://api.damedoklad.cz/v1/tax/bad-debts/debtor-due/obj_2n9F4kT7wQ1xYz0aBcDeFgHiJkL/correct', {
  method: 'POST',
  headers: {
    Authorization: `Bearer ${process.env.DAMEDOKLAD_API_KEY}`,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
    "action": "reduce"
  }),
});
const data = await response.json();
```

```python
import os
import requests

response = requests.post(
    "https://api.damedoklad.cz/v1/tax/bad-debts/debtor-due/obj_2n9F4kT7wQ1xYz0aBcDeFgHiJkL/correct",
    headers={"Authorization": f"Bearer {os.environ['DAMEDOKLAD_API_KEY']}"},
    json={
        "action": "reduce"
    },
)
data = response.json()
```
